<x-app-layout>
    <x-slot name="header">User Management Page</x-slot>

    <div class="users-container">
        <h1>User List</h1>
        <div class="action-bar">
            <button onclick="document.getElementById('createForm').classList.toggle('hidden')" class="create-button">
                + Create New User
            </button>
        </div>

        <div id="createForm" class="form-section hidden">
            <form action="{{ route('admin.users.store') }}" method="POST">
                @csrf
                <div class="form-grid">
                    <div class="form-group">
                        <label>Name</label>
                        <input type="text" name="name" required>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="email" name="email" required>
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input type="password" name="password" required>
                    </div>
                    <div class="form-group">
                        <label>Designation</label>
                        <input type="text" name="designation">
                    </div>
                    <div class="form-group full-width">
                        <label>Role</label>
                        <select name="role_id">
                            @foreach($roles as $role)
                                <option value="{{ $role->id }}">{{ $role->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <button type="submit" class="submit-button">Create User</button>
            </form>
        </div>

        <table class="user-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Designation</th>
                    <th>Role</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($users as $user)
                <tr>
                    <td>{{ $user->id }}</td>
                    <td>{{ $user->name }}</td>
                    <td>{{ $user->email }}</td>
                    <td>{{ $user->designation }}</td>
                    <td>{{ $user->role->name }}</td>
                </tr>
                @endforeach
            </tbody>
        </table>
    
    </div>
</x-app-layout>
