<?php
use App\Http\Controllers\AdminUserController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\ProjectController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    if(Auth::check()){
        return Auth::user()->role->name==='admin'
        ? redirect()->route('admin.dashboard')
        : redirect()->route('user.dashboard');
    }
    return redirect()->route('login');
});



Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    Route::get('/user/dashboard', function() {
        return view('user.dashboard');
    })->name('user.dashboard');
});


    Route::middleware('auth')->prefix('admin')->group(function () {
    Route::get('/dashboard', function() {
        if(Auth::user()->role->name !== 'admin') {
            return redirect()->route('user.dashboard');
        }
        return view('admin.dashboard');
    })->name('admin.dashboard');
    
    Route::get('/users', [AdminUserController::class, 'index'])->name('admin.users');
    Route::post('/users', [AdminUserController::class, 'store'])->name('admin.users.store');
    Route::get('projects', [ProjectController::class, 'index'])->name('admin.projects');
    Route::post('projects', [ProjectController::class, 'store'])->name('admin.projects.store');
});

require __DIR__.'/auth.php';
